Subject: Re: bug#16099: 24.3.50; Build failure, undefined function `cl-member'

From: Glenn Morris <[email-masked]>
Date: Sat, 14 Dec 2013 16:43:05 -0500

Dani Moncayo wrote:

> was "../my nice repo", with the current trunk it would be translated
> to something like "/c/foo/bar/my nice repo".  What breakage might it
> cause?

You're right, that doesn't work either way.
But if making srcdir absolute introduces spaces that were not otherwise
there (eg srcdir was "." but is now "/path/to whatever"), that breaks
something that otherwise works.

> +   if test ${srcdir:0:1} = "/" -o ${srcdir:1:1} = ":"

Is substring syntax portable? Normally I'd use something like:

case $srcdir in
  /* | .:*) ... ;;
esac

But maybe MinGW /bin/sh is always /bin/bash, in which case it's
irrelevant.